/*									DisplayAudit.r								*/
/*
 * Display Audit
 * DisplayAudit.r
 * Copyright  1993 Apple Computer Inc. All rights reserved.
 * These are the resource definitions for Display Audit. This file can be compiled
 * by MPW Rez and by Think C 6.0 Rez.
 */
#include "Types.r"
#include "SysTypes.r"
#include "DisplayAudit.h"
#ifndef THINK_Rez
include "::Display Audit Icons.rsrc";
#endif

type 'MAM1' as 'STR ';
resource 'MAM1' (0, "Owner Resource", purgeable) {
	"Audit Display Application."
	" Copyright  1992-93 Apple Computer Inc. All Rights Reserved."
};

resource 'vers' (1) {
	0x1,
	0x0,
	release,
	0x1,
	verUS,
	"1.0.1",
	"1.0.1  1993 Apple Computer Inc. All Rights Reserved"
};

resource 'vers' (2) {
	0x1,
	0x0,
	release,
	0x1,
	verUS,
	"1.0.1",
	"For AOCE 1.0"
};

resource 'STR#' (STRN_Messages, "Error messages", purgeable) {
	{
		"Can't initialize application - fatal",
		"No memory",
		"Can't create audit record - fatal",
		"Can't create display window",
		/*
		 * Preference file errors
		 */
		"Wrong system version: cannot create preference file",
		"Can't find Preference folder in System folder",
		"Can't find Preference file",
		"Can't open Preference file",
		"Can't create Preference file",
		"Can't write Preference information",
		"Can't read Preference information",
		/*
		 * Log file errors
		 */
		"Can't create output file",
		"Can't write ouput file",
		"Can't close output file"
	}
};

resource 'STR#' (STRN_Strings, "Random strings", purgeable) {
	{
		"DisplayAudit Preferences",
	}
};

resource 'STR#' (STRN_EditMenu, "Edit Menu Strings", purgeable) {
	{
		"Undo",
		"Undo Typing",
		"Undo Cut",
		"Undo Copy",
		"Undo Paste",
		"Undo Clear",
		"Redo Typing",
		"Redo Cut",
		"Redo Copy",
		"Redo Paste",
		"Redo Clear",
	}
};
resource 'STR ' (STR_FinderString, "Finder Info for Pref File", purgeable) {
		"This document describes user preferences for the DisplayAudit"
		" application. It cannot be opened or printed."
		" To be effective, this document must be stored in the Preferences"
		" folder inside the System Folder."
};

resource 'MBAR' (MBAR_MenuBar) {
	{
		MENU_Apple,
		MENU_File,
		MENU_Edit
	}
};

resource 'MENU' (MENU_Apple, "Apple Menu") {
	MENU_Apple,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
		"About DisplayAudit", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (MENU_File, "File Menu") {
	MENU_File,
	textMenuProc,
	0x0,
	enabled,
	"File",
	{
		"New Display Window",	noIcon, "N",	noMark, plain,
		"Close Window",			noIcon, "W",	noMark, plain,
		"-",					noIcon, noKey,	noMark, plain,
		"Save As",				noIcon, "S",	noMark, plain,
		"Close File",			noIcon, noKey,	noMark, plain,
		"-",					noIcon, noKey,	noMark, plain,
		"Page Setup",			noIcon, noKey,	noMark, plain,
		"Print",				noIcon, "P",	noMark, plain,
		"-",					noIcon, noKey,	noMark, plain,
		"Timestamp Log",		noIcon, "T",	noMark, plain,
		"-",					noIcon, noKey,	noMark, plain,
		"Quit",					noIcon, "Q", 	noMark, plain
	}
};

resource 'MENU' (MENU_Edit, "Edit Menu") {
	MENU_Edit,
	textMenuProc,
	0x0,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		"Undo", noIcon, "Z", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Cut", noIcon, "X", noMark, plain,
		"Copy", noIcon, "C", noMark, plain,
		"Paste", noIcon, "V", noMark, plain,
		"Clear", noIcon, noKey, noMark, plain
	}
};
	
resource 'WIND' (WIND_Document, "Main Window") {
		{ 0, 0, kMinWindowHeight, kMinWindowWidth },
		zoomDocProc,
		invisible,
		goAway,
		0x0,
		"Display Audit - XXXX"	/* XXXX will be replaced by the Audit ID		*/
};

resource 'DLOG' (DLOG_SFPutFile, "Audit File Dialog", purgeable) {
		{   0,   0, 344, 312 },
		dBoxProc,
		invisible,
		noGoAway,
		0,
		DLOG_SFPutFile,
		""
};

resource 'DITL' (DLOG_SFPutFile, "Audit File Dialog", preload, purgeable) {
	{
		{ 157, 218, 177, 298 },	Button		{ enabled, "Save"					},
		{ 128, 218, 148, 298 },	Button		{ enabled, "Dont Save"				},
		{ 136,  14, 152, 197 },	StaticText	{ disabled, "Save As:"				},
		{  29, 200,  49, 302 }, UserItem	{ enabled							},
		{  56, 218,  74, 298 }, Button		{ enabled, "Eject"					},
		{  82, 218, 100, 298 }, Button		{ enabled, "Drive"					},
		{ 157,  17, 173, 194 }, EditText	{ enabled, ""						},
		{  29,  14, 127, 197 }, UserItem	{ enabled							},
		/*
		 * Added items
		 */
		{ 192,  17, 208,  69 }, EditText	{ enabled, ""	/* Selector */		},
		{ 192,  74, 208, 176 },	StaticText	{ disabled, "Audit Selector"		},
		{ 218,  17, 234,  69 }, EditText	{ enabled, ""						},
		{ 218,  74, 234, 186 }, StaticText	{ disabled, "Audit Records"			},
		{ 244,  17, 260,  69 }, EditText	{ enabled, ""						},
		{ 244,  74, 260, 186 }, StaticText	{ disabled, "Display Lines"			},
		{ 270,  15, 288, 194 }, CheckBox	{ enabled, "Enable Audit Logging"	},
#define kFontPopupRect		{ 294,  15, 313, 216 }
		kFontPopupRect,			Control		{ enabled, CNTL_FontPopup			},
#define kFontSizePopupRect	{ 316,  15, 337, 188 }
		kFontSizePopupRect,		Control		{ enabled, CNTL_SizePopup			},
	}
};

resource 'CNTL' (CNTL_FontPopup, preload, purgeable) {
	kFontPopupRect,						/* Must match DITL above			*/
	popupTitleLeftJust,					/* Left-justify						*/
	visible,
	41,									/* Title width						*/
	MENU_Font,							/* Font menu						*/
	popupMenuCDEFProc,					/* It's a popup menu				*/
	0,									/* refCon, unused					*/
	"Fonts:"							/* Title							*/
};

resource 'MENU' (MENU_Font, "Font Menu") {
	MENU_Font,
	textMenuProc,
	allEnabled,
	enabled,
	"Fonts",
	{ }
};

resource 'CNTL' (CNTL_SizePopup, preload, purgeable) {
	kFontSizePopupRect,					/* Must match DITL above			*/
	popupTitleLeftJust | popupFixedWidth, /* Left-justify					*/
	visible,
	41,									/* Title width						*/
	MENU_FontSize,						/* Font Size menu					*/
	popupMenuCDEFProc,					/* It's a popup menu				*/
	0,									/* refCon, unused					*/
	"Size:"								/* Title							*/
};

resource 'MENU' (MENU_FontSize, "Font Size Menu") {
	MENU_FontSize,
	textMenuProc,
	allEnabled,
	enabled,
	"Size",
	{
		"9", noIcon, noKey, noMark, plain,
		"10", noIcon, noKey, noMark, plain,
		"12", noIcon, noKey, noMark, plain,
		"14", noIcon, noKey, noMark, plain,
		"16", noIcon, noKey, noMark, plain,
		"18", noIcon, noKey, noMark, plain,
		"24", noIcon, noKey, noMark, plain,
		"36", noIcon, noKey, noMark, plain,
	}
};

/*
 * If we make this 20 pixels high, it lines up nicely with the tag text item.
 */
resource 'CNTL' (CNTL_TagButton, "TimeStamp button") {
	{ 4, 4, 24, 40 },					/* Display rectangle				*/
	0,									/* Value							*/
	visible,							/* Initially visible				*/
	1, 0,								/* Max, min							*/
	pushButProcUseWFont,				/* It's a button					*/
	0,									/* No refCon						*/
	"Note"								/* Button label						*/
};

resource 'DLOG' (DLOG_About, "About Display Audit") {
	{100, 80, 230, 422},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	DLOG_About,
	""
};

resource 'DITL' (DLOG_About, "About Display Audit") {
	{
		{100, 260, 120, 322}, Button		{ enabled,	"OK"					},
		{ 10,  10,  96, 324}, StaticText	{ disabled,
			"Display Audit monitors AuditLog records.\n"
			"Written by Martin Minow, Developer Technical Support.\n"
			"Copyright  1992-93 Apple Computer Inc."
			" All rights reserved."
		},
	}
};

resource 'ALRT' (ALRT_NonFatal, "System Error", purgeable) {
	{100, 80, 230, 422},
	ALRT_NonFatal,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};

resource 'DITL' (ALRT_NonFatal, "System Error", purgeable) {
	{
		{100, 220, 120, 322}, Button		{ enabled,	"Continue"				},
		{ 10, 110,  96, 324}, StaticText	{ disabled, "System Error ^0. ^1"	},
		{ 47,  20,  64,  80}, StaticText	{ disabled, "Error"					}
	}
};

resource 'ALRT' (ALRT_Fatal, "Fatal Error", purgeable) {
	{100, 80, 230, 422},
	ALRT_Fatal,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};

resource 'DITL' (ALRT_Fatal, "Fatal Error", purgeable) {
	{
		{100, 240, 120, 322}, Button		{ enabled,	"Exit"					},
		{ 10, 110,  96, 324}, StaticText	{ disabled,
										"System Error (cannot recover) ^0. ^1"	},
		{ 47,  20,  64,  80}, StaticText	{ disabled, "Error"					}
	}
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	notHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	393216,
	393216
};

resource 'BNDL' (128) {
	'MAM1',
	0,
	{
		'FREF',	{ 0, 128 },
		'ICN#',	{ 0, 128 }
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

