/*------------------------------------------------------------------------------
#
#	TV-Man.Menu.h
#
#	Copyright  Apple Computer, Inc. 1989-1990
#	All rights reserved.
#
#
#
#	This is the file that is common to all Menu stuff for this application.
#
#	In order to have an evironment which predictable events happen several definitions
#	must be established. The most critical is in the file architecture. Each functional
#	block will have its own source and header file. The main project file,  in this
#	case TV-Man, will have its header file included with all other files. This will
#	allow for global constants. The utility source file shall contain functions that
#	are general purpose in nature and that can be used by all other functions. These
#	are intended not to be application or major block specific. In order for this to be 
#	accomodated all functions in the utility source file must use only the information
#	that is passed to them or information that can be gleaned from the system via
#	toolbox calls. There will be no header file associated with the utility file as this
#	will destroy the intent of the utilities.
#
#	There are several files which contain information which is global in nature .These
#	file are included in the main project header file. They are: x.Errors.h, x.Ext.h,
#	x.Protos.h, x.Menus.h. The reason for containing them in seperate files is one of
#	convienience and accesability. 
#
#
#	Revision Log:
#	
#		11-05-91	RGK		Added the menu items for single color screens
#		04-26-91	RGK		Creation
#
#
------------------------------------------------------------------------------*/

/* The following constants are used to identify menus and their items. The menu IDs
   have an "m" prefix and the item numbers within each menu have an "i" prefix. */

#define	mApple				(rMenu)			/* Apple menu */
#define	iAbout				1

#define	mFile				(rMenu) + 1		/* File menu */
#define	iNew				1
#define	iClose				4
#define	iQuit				12

#define	mEdit				(rMenu) + 2		/* Edit menu */
#define	iUndo				1
#define	iCut				3
#define	iCopy				4
#define	iPaste				5
#define	iClear				6

#define	mPatterns			(rMenu) + 3		/* Tests menu */
#define	iTestPattern		1
#define	iColorBars			2
#define	iGrayScaleLD		3
#define	iGrayScaleDL		4
#define	iVLines				5
#define	iHLines				6
#define	iLBurst				7
#define	iRedScreen			8
#define	iGreenScreen		9
#define	iBlueScreen			10
#define	iWhiteScreen		11


#define	mBeeps			(rMenu) + 4		/*	Options Menu */
#define iBMSoprano			1
#define iBMAlto				2
#define iBMTenor			3
#define iBMBass				4
#define iBeepD				6
#define iBeepE				7





/*----------------------------------------------------------------------------*/
/* these #defines are used to set enable/disable flags of a menu */

#define AllItems	0b1111111111111111111111111111111	/* 31 flags */
#define NoItems		0b0000000000000000000000000000000
#define MenuItem1	0b0000000000000000000000000000001
#define MenuItem2	0b0000000000000000000000000000010
#define MenuItem3	0b0000000000000000000000000000100
#define MenuItem4	0b0000000000000000000000000001000
#define MenuItem5	0b0000000000000000000000000010000
#define MenuItem6	0b0000000000000000000000000100000
#define MenuItem7	0b0000000000000000000000001000000
#define MenuItem8	0b0000000000000000000000010000000
#define MenuItem9	0b0000000000000000000000100000000
#define MenuItem10	0b0000000000000000000001000000000
#define MenuItem11	0b0000000000000000000010000000000
#define MenuItem12	0b0000000000000000000100000000000





/*----------------------------------------------------------------------------*/
/*	The following line will effectivly eliminate the following typedefs from the 
	this header file during the Rez process because Rez cannot handle typedefs.
	All Resource files will define "__Rezing__" when processing, all C sources
	will not.	*/
	
#ifndef __Rezing__

/*----------------------------------------------------------------------------*/
/*	Nothing Yet	*/

#endif __Rezing__