/*------------------------------------------------------------------------------
#
#	TV-Man.Sound.r	-	Rez Source
#
#	Copyright  Apple Computer, Inc. 1989-1990
#	All rights reserved.
#
#	Version:	1.00
#
#
#
#	This file containes the resources common to the Video
#
#	Revision Log:
#	
#		8-5-91		RGK		Creation
#
#
------------------------------------------------------------------------------*/


/*	this will eliminate non Rez statements from the header files	*/

#define	__Rezing__			


/*	Now lets include all of the neecessary files.	*/

#include "TV-Man.h"
#include "SysTypes.r"
#include "Types.r"
#include "TV-ManTypes.r"

#include "TV-Man.Sound.h"





/*------------------------------------------------------------------------------*/
/* This is the dialog which controls the Beep generation part of the test. */

resource 'DLOG' (rSounds, "Sound Control")
{
	{20, 24, 311, 484},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	rSounds,
	"BeepMaster Controls",
	centerParentWindow
};



/*------------------------------------------------------------------------------*/
/*	This is the Item List for the Sound Control Dialog Box	*/

resource 'DITL' (rSounds, "Sound Controls")
{
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{107, 192, 127, 272},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 51, 63, 273},
		StaticText {
			disabled,
			"A Minor TV-Man error occurred!\nThe funct"
			"ion will be aborted\nbecause:"
		},
		/* [3] */
		{8, 8, 40, 40},
		Icon {
			disabled,
			2
		},
		/* [4] */
		{67, 51, 100, 273},
		StaticText {
			disabled,
			"^0"
		}
	}
};

resource 'DITL' (203, "Sound Controls") {
	{	/* array DITLarray: 36 elements */
		/* [1] */
		{36, 55, 51, 70},
		Control {
			enabled,
			20311
		},
		/* [2] */
		{36, 73, 52, 166},
		StaticText {
			enabled,
			"Beep Enabled"
		},
		/* [3] */
		{60, 65, 77, 153},
		StaticText {
			enabled,
			"Type of Beep"
		},
		/* [4] */
		{78, 20, 93, 204},
		UserItem {
			enabled
		},
		/* [5] */
		{103, 63, 119, 165},
		StaticText {
			enabled,
			"Length Of Beep"
		},
		/* [6] */
		{122, 132, 139, 153},
		StaticText {
			enabled,
			"ms"
		},
		/* [7] */
		{122, 85, 137, 130},
		EditText {
			enabled,
			"500"
		},
		/* [8] */
		{148, 43, 164, 181},
		StaticText {
			enabled,
			"Time Between Beeps"
		},
		/* [9] */
		{166, 132, 183, 153},
		StaticText {
			enabled,
			"ms"
		},
		/* [10] */
		{167, 85, 182, 130},
		EditText {
			enabled,
			"500"
		},
		/* [11] */
		{196, 51, 212, 167},
		StaticText {
			enabled,
			"Number of Beeps"
		},
		/* [12] */
		{215, 85, 230, 115},
		EditText {
			enabled,
			"3"
		},
		/* [13] */
		{238, 35, 255, 182},
		StaticText {
			enabled,
			"Delay Before Repeat"
		},
		/* [14] */
		{258, 132, 274, 155},
		StaticText {
			enabled,
			"ms"
		},
		/* [15] */
		{258, 85, 273, 130},
		EditText {
			enabled,
			"500"
		},
		/* [16] */
		{45, 227, 62, 283},
		StaticText {
			enabled,
			"Volume"
		},
		/* [17] */
		{93, 247, 218, 263},
		Control {
			enabled,
			rVolume
		},
		/* [18] */
		{66, 240, 81, 270},
		EditText {
			enabled,
			"128"
		},
		/* [19] */
		{65, 274, 79, 303},
		StaticText {
			enabled,
			"Abs."
		},
		/* [20] */
		{101, 265, 117, 309},
		StaticText {
			enabled,
			"255"
		},
		/* [21] */
		{147, 265, 163, 296},
		StaticText {
			enabled,
			"128"
		},
		/* [22] */
		{196, 265, 212, 288},
		StaticText {
			enabled,
			"0"
		},
		/* [23] */
		{45, 314, 62, 387},
		StaticText {
			enabled,
			"Frequency"
		},
		/* [24] */
		{93, 343, 218, 359},
		Control {
			enabled,
			rFreq
		},
		/* [25] */
		{66, 329, 81, 371},
		EditText {
			enabled,
			"60"
		},
		/* [26] */
		{65, 375, 80, 421},
		StaticText {
			enabled,
			"Note #"
		},
		/* [27] */
		{102, 361, 118, 394},
		StaticText {
			enabled,
			"127"
		},
		/* [28] */
		{148, 361, 164, 388},
		StaticText {
			enabled,
			"64"
		},
		/* [29] */
		{196, 361, 212, 388},
		StaticText {
			enabled,
			"0"
		},
		/* [30] */
		{259, 195, 279, 270},
		Control {
			enabled,
			rTestBeep
		},
		/* [31] */
		{259, 285, 279, 355},
		Control {
			enabled,
			rCancel
		},
		/* [32] */
		{261, 370, 276, 443},
		Button {
			enabled,
			"Done"
		},
		/* [33] */
		{0, 0, 0, 0},
		UserItem {
			disabled
		},
		/* [34] */
		{12, 132, 30, 325},
		StaticText {
			enabled,
			"Default Title"
		},
		/* [35] */
		{221, 219, 253, 251},
		Icon {
			enabled,
			rSpeaker
		},
		/* [36] */
		{234, 233, 249, 414},
		StaticText {
			disabled,
			""
		}
	}
};





/*------------------------------------------------------------------------------*/
/*	This is the Beep Enable check button	*/

resource 'CNTL' (rBeepEnable, "Beep Enable B")
{
	{0, 0, 15, 15},
	0,
	visible,
	1,
	0,
	checkBoxProc,
	0,
	""
};





/*------------------------------------------------------------------------------*/
/*	This is the Volume Control	*/

resource 'CNTL' (rVolume, "Volume Control")
{
	{0, 0, 125, 16},
	-50,
	visible,
	0,
	-255,
	scrollBarProc,
	0,
	"Volume Control"
};





/*------------------------------------------------------------------------------*/
/*	This is the Frequency Control	*/

resource 'CNTL' (rFreq, "Frequency Control")
{
	{0, 0, 125, 16},
	-60,
	visible,
	0,
	-127,
	scrollBarProc,
	0,
	"Frequency Control"
};


/*------------------------------------------------------------------------------*/
/*	This is the Done Button	*/

resource 'CNTL' (rCancel, "Cancel Button")
{
	{0, 0, 20, 70},
	0,
	visible,
	1,
	0,
	pushButProc,
	0,
	"Cancel"
};




/*------------------------------------------------------------------------------*/
/*	This is the Done Button	*/

resource 'CNTL' (rTestBeep, "Test Beep Button")
{
	{0, 0, 20, 75},
	0,
	visible,
	1,
	0,
	pushButProc,
	0,
	"Test Beep"
};




/*-------------------------------------------------------------------------------*/

resource 'MENU' (rBeepMenu, "Beep Pop Up Menu")
{
	rBeepMenu, textMenuProc, 63, enabled, "Beep Types",
	{
		"Sine", noicon, nokey, nomark, plain;
		"Square", noicon, nokey, nomark, plain;
		"Triangle", noicon, nokey, nomark, plain;
		"Sawtooth Positive Ramp",  noicon, nokey, nomark, plain;
		"Sawtooth Negitive Ramp", noicon, nokey, nomark, plain;
	}
};




/*-------------------------------------------------------------------------------*/
/*	These next several resources are the individual beeps' data	elements. These
	resources describe how long, the tone, the number, ect. for the beeps. There
	are four beep channels supported by the sound routines. Each will use the values
	contained in these resources to make the sound. The resources themselves will
	be modified by the portion of the code that creates and uses the Sound Dialog
	box.	*/
	
resource 'beep' (rSopranoBData, "Soprano Beep Data", purgeable)
{
	1,							/*	sound enabled flag				*/
	rSineSnd,					/*	the inital beep type			*/
	75,							/*	the inital beep time			*/
	75,							/*	the inital interbeep beep time	*/
	3,							/*	the number of beep cycles		*/
	500,						/*	delay between cycles			*/
	128,						/*	the volume of the beep			*/
	74,							/*	the frequency of the beep		*/
	initChan0,					/*	the sound channel init id		*/
	rSopranoBData,				/*	the resource id					*/
	"BeepMaster Soprano Voice"	/*	Dialog box Title				*/
};




/*-------------------------------------------------------------------------------*/
/*	This is the resource used for the Beep 2 data.	*/
	
resource 'beep' (rAltoBData, "Alto Beep Data", purgeable)
{
	1,							/*	sound enabled flag				*/
	rSineSnd,					/*	the inital beep type			*/
	75,							/*	the inital beep time			*/
	75,							/*	the inital interbeep beep time	*/
	3,							/*	the number of beep cycles		*/
	500,						/*	delay between cycles			*/
	128,						/*	the volume of the beep			*/
	71,							/*	the frequency of the beep		*/
	initChan1,					/*	the sound channel init id		*/
	rAltoBData,					/*	the resource id					*/
	"BeepMaster Alto Voice"		/*	Dialog box Title				*/
};




/*-------------------------------------------------------------------------------*/
/*	This is the resource used for the Beep 3 data.	*/
	
resource 'beep' (rTenorBData, "Tenor Beep Data", purgeable)
{
	1,							/*	sound enabled flag				*/
	rSineSnd,					/*	the inital beep type			*/
	75,							/*	the inital beep time			*/
	75,							/*	the inital interbeep beep time	*/
	3,							/*	the number of beep cycles		*/
	500,						/*	delay between cycles			*/
	128,						/*	the volume of the beep			*/
	68,							/*	the frequency of the beep		*/
	initChan2,					/*	the sound channel init id		*/
	rTenorBData,				/*	the resource id					*/
	"BeepMaster Tenor Voice"	/*	Dialog box Title				*/
};





/*-------------------------------------------------------------------------------*/
/*	This is the resource used for the Beep 4 data.	*/
	
resource 'beep' (rBassBData, "Bass Beep Data", purgeable)
{
	1,							/*	sound not enabled				*/
	rSineSnd,					/*	the inital beep type			*/
	75,							/*	the inital beep time			*/
	75,							/*	the inital interbeep beep time	*/
	3,							/*	the number of beep cycles		*/
	500,						/*	delay between cycles			*/
	128,						/*	the volume of the beep			*/
	65,							/*	the frequency of the beep		*/
	initChan3,					/*	the sound channel init id		*/
	rBassBData,					/*	the resource id					*/
	"BeepMaster Bass Voice"		/*	Dialog box Title				*/
};




/*-------------------------------------------------------------------------------*/
/*	This is the resource used for the Test Beep data. It is added to provide a
	place to test the beep from the dialog box.	*/
	
resource 'beep' (rTestBData, "Test Beep Data", purgeable)
{
	1,				/*	sound enabled flag				*/
	rSineSnd,		/*	the inital beep type			*/
	75,				/*	the inital beep time			*/
	75,				/*	the inital interbeep beep time	*/
	3,				/*	the number of beep cycles		*/
	500,			/*	delay between cycles			*/
	128,			/*	the volume of the beep			*/
	60,				/*	the frequency of the beep		*/
	initChan0,		/*	the sound channel init id		*/
	rTestBData,		/*	the resource id					*/
	"No Title"		/*	Dialog box Title				*/
};





/*-------------------------------------------------------------------------------*/
/*	This is the Sine sound data	*/

data 'snd ' (rSineSnd, "Sine Wave", purgeable)
{
	$"0001"						/* format 1 snd */
	$"0001"						/* number of synths to be installed */
	$"0003"						/* snth to be used */
	$"00000004"					/* init option for wave table channel 1 */
	$"0001"						/* number of sound cmds */
	$"803C 0200 00000014"		/* waveTableCmd with dataPtr bit, 17 bytes, offset 20 bytes */
								
/* the wave table data */
	$"7f8182848587888a 8b8d8f9092939596 98999b9c9e9fa1a2 a4a5a7a8aaabadae"
	$"b0b1b2b4b5b7b8b9 bbbcbebfc0c2c3c4 c6c7c8c9cbcccdce d0d1d2d3d4d5d7d8"
	$"d9dadbdcdddedfe0 e1e2e3e4e5e6e7e8 e9e9eaebecedeeee eff0f0f1f2f2f3f4"
	$"f4f5f5f6f7f7f8f8 f9f9f9f8f8fbfbfb fcfcfcfcfdfdfdfd fdfefefefefefefe "
	$"fefefefefefefefe fdfdfdfdfdfcfcfc fcfbfbfbfafaf9f9 f9f8f8f7f7f6f5f5"
	$"f4f4f3f2f2f1f0f0 efeeeeedecebeae9 e9e8e7e6e5e4e3e2 e1e0dfdedddcdbda"
	$"d9d8d7d5d4d3d2d1 d0cecdcccbc9c8c7 c6c4c3c2c0bfbebc bbb9b8b7b5b4b2b1"
	$"b0aeadabaaa8a7a5 a4a2a19f9e9c9b99 9896959392908f8d 8b8a888785848281"
	$"7f7d7c7a79777674 73716f6e6c6b6968 66656362605f5d5c 5a59575654535150"
	$"4e4d4c4a49474645 4342403f3e3c3b3a 3837363533323130 2e2d2c2c2a292726"
	$"2524232221201f1e 1d1c1b1a19181716 1515141312111010 0f0e0e0d0c0c0b0a"
	$"0a09090807060605 0505040403030302 0202020101010101 0000000000000000"
	$"0000000000000001 0101010102020202 0303030404050505 060607070809090a"
	$"0a0b0c0c0d0e0e0f 1010111213141515 161718191a1b1c1d 1e1f202122232425"
	$"2627292a2b2c2d2e 3031323335363738 3a3b3c3e3f404243 454647494a4c4d4e"
	$"505153545657595a 5c5d5f6062636566 68696b6c6e6f7173 747677797a7c7d7f"
};





/*-------------------------------------------------------------------------------*/
/*	This is the Square sound data	*/

data 'snd ' (rSquareSnd, "Square Wave", purgeable)
{
	$"0001"						/* format 1 snd */
	$"0001"						/* number of synths to be installed */
	$"0003"						/* snth to be used */
	$"00000004"					/* init option for wave table channel 1 */
	$"0001"						/* number of sound cmds */
	$"803C 0200 00000014"		/* waveTableCmd with dataPtr bit, 512 bytes, offset 20 bytes */
								
/* the wave table data */
	$"80ffffffffffffff ffffffffffffffff ffffffffffffffff ffffffffffffffff"
	$"ffffffffffffffff ffffffffffffffff ffffffffffffffff ffffffffffffffff"
	$"ffffffffffffffff ffffffffffffffff ffffffffffffffff ffffffffffffffff"
	$"ffffffffffffffff ffffffffffffffff ffffffffffffffff ffffffffffffffff"
	$"ffffffffffffffff ffffffffffffffff ffffffffffffffff ffffffffffffffff"
	$"ffffffffffffffff ffffffffffffffff ffffffffffffffff ffffffffffffffff"
	$"ffffffffffffffff ffffffffffffffff ffffffffffffffff ffffffffffffffff"
	$"ffffffffffffffff ffffffffffffffff ffffffffffffffff ffffffffffffffff"
	$"0000000000000000 0000000000000000 0000000000000000 0000000000000000"
	$"0000000000000000 0000000000000000 0000000000000000 0000000000000000"
	$"0000000000000000 0000000000000000 0000000000000000 0000000000000000"
	$"0000000000000000 0000000000000000 0000000000000000 0000000000000000"
	$"0000000000000000 0000000000000000 0000000000000000 0000000000000000"
	$"0000000000000000 0000000000000000 0000000000000000 0000000000000000"
	$"0000000000000000 0000000000000000 0000000000000000 0000000000000000"
	$"0000000000000000 0000000000000000 0000000000000000 000000000000007f"
};





/*-------------------------------------------------------------------------------*/
/*	This is the Triangle sound data	*/

data 'snd ' (rTriangleSnd, "Triangle Wave", purgeable)
{
	$"0001"						/* format 1 snd */
	$"0001"						/* number of synths to be installed */
	$"0003"						/* snth to be used */
	$"00000004"					/* init option for wave table channel 1 */
	$"0001"						/* number of sound cmds */
	$"803C 0200 00000014"		/* waveTableCmd with dataPtr bit, 512 bytes, offset 20 bytes */
								
/* the wave table data */
	$"80818283 84858687 88898a8b 8c8d8e8f 90919293 94959697 98999a9b 9c9d9e9f"
	$"a0a1a2a3 a4a5a6a7 a8a9aaab acadaeaf b0b1b2b3 b4b5b6b7 b8b9babb bcbdbebf"
	$"c0c1c2c3 c4c5c6c7 c8c9cacb cccdcecf d0d1d2d3 d4d5d6d7 d8d9dadb dcdddedf"
	$"e0e1e2e3 e4e5e6e7 e8e9eaeb ecedeeef f0f1f2f3 f4f5f6f7 f8f9fafb fcfdfeff"
	$"fffefdfc fbfaf9f8 f7f6f5f4 f3f2f1f0 efeeedec ebeae9e8 e7e6e5e4 e3e2e1e0"
	$"dfdedddc dbdad9d8 d7d6d5d4 d3d2d1d0 cfcecdcc cbcac9c8 c7c6c5c4 c3c2c1c0"
	$"bfbebdbc bbbab9b8 b7b6b5b4 b3b2b1b0 afaeadac abaaa9a8 a7a6a5a4 a3a2a1a0"
	$"9f9e9d9c 9b9a9998 97969594 93929190 8f8e8d8c 8b8a8988 87868584 83828180"
	$"7f7e7d7c 7b7a7978 77767574 73727170 6f6e6d6c 6b6a6968 67666564 63626160"
	$"5f5e5d5c 5b5a5958 57565554 53525150 4f4e4d4c 4b4a4948 47464544 43424140"
	$"3f3e3d3c 3b3a3938 37363534 33323130 2f2e2d2c 2b2a2928 27262524 23222120"
	$"1f1e1d1c 1b1a1918 17161514 13121110 0f0e0d0c 0b0a0908 07060504 03020100"
	$"00010203 04050607 08090a0b 0c0d0e0f 10111213 14151617 18191a1b 1c1d1e1f"
	$"20212223 24252627 28292a2b 2c2d2e2f 30313233 34353637 38393a3b 3c3d3e3f"
	$"40414243 44454647 48494a4b 4c4d4e4f 50515253 54555657 58595a5b 5c5d5e5f"
	$"60616263 64656667 68696a6b 6c6d6e6f 70717273 74757677 78797a7b 7c7d7e7f"
};





/*-------------------------------------------------------------------------------*/
/*	This is the positive ramping Sawtooth sound data	*/

data 'snd ' (rSawtoothPosSnd, "Pos. Sawtooth Wave", purgeable)
{
	$"0001"						/* format 1 snd */
	$"0001"						/* number of synths to be installed */
	$"0003"						/* snth to be used */
	$"00000004"					/* init option for wave table channel 1 */
	$"0001"						/* number of sound cmds */
	$"803C 0200 00000014"		/* waveTableCmd with dataPtr bit, 512 bytes, offset 20 bytes */
								
/* the wave table data */
	$"8080818182828383 8484858586868787 888889898a8a8b8b 8c8c8d8d8e8e8f8f"
	$"9090919192929393 9494959596969797 989899999a9a9b9b 9c9c9d9d9e9e9f9f"
	$"a0a0a1a1a2a2a3a3 a4a4a5a5a6a6a7a7 a8a8a9a9aaaaabab acacadadaeaeafaf"
	$"b0b0b1b1b2b2b3b3 b4b4b5b5b6b6b7b7 b8b8b9b9bababbbb bcbcbdbdbebebfbf"
	$"c0c0c1c1c2c2c3c3 c4c4c5c5c6c6c7c7 c8c8c9c9cacacbcb cccccdcdcececfcf"
	$"d0d0d1d1d2d2d3d3 d4d4d5d5d6d6d7d7 d8d8d9d9dadadbdb dcdcdddddededfdf"
	$"e0e0e1e1e2e2e3e3 e4e4e5e5e6e6e7e7 e8e8e9e9eaeaebeb ececededeeeeefef"
	$"f0f0f1f1f2f2f3f3 f4f4f5f5f6f6f7f7 f8f8f9f9fafafbfb fcfcfdfdfefeffff"
	$"0000010102020303 0404050506060707 080809090a0a0b0b 0c0c0d0d0e0e0f0f"
	$"1010111112121313 1414151516161717 181819191a1a1b1b 1c1c1d1d1e1e1f1f"
	$"2020212122222323 2424252526262727 282829292a2a2b2b 2c2c2d2d2e2e2f2f"
	$"3030313132323333 3434353536363737 383839393a3a3b3b 3c3c3d3d3e3e3f3f"
	$"4040414142424343 4444454546464747 484849494a4a4b4b 4c4c4d4d4e4e4f4f"
	$"5050515152525353 5454555556565757 585859595a5a5b5b 5c5c5d5d5e5e5f5f"
	$"6060616162626363 6464656566666767 686869696a6a6b6b 6c6c6d6d6e6e6f6f"
	$"7070717172727373 7474757576767777 787879797a7a7b7b 7c7c7d7d7e7e7f7f"
};





/*-------------------------------------------------------------------------------*/
/*	This is the negative ramping Sawtooth sound data	*/

data 'snd ' (rSawtoothNegSnd, "Neg. SawTooth Wave", purgeable)
{
	$"0001"						/* format 1 snd */
	$"0001"						/* number of synths to be installed */
	$"0003"						/* snth to be used */
	$"00000004"					/* init option for wave table channel 1 */
	$"0001"						/* number of sound cmds */
	$"803C 0200 00000014"		/* waveTableCmd with dataPtr bit, 512 bytes, offset 20 bytes */
								
/* the wave table data */
	$"7f7f7e7e7d7d7c7c 7b7b7a7a79797878 7777767675757474 7373727271717070"
	$"6f6f6e6e6d6d6c6c 6b6b6a6a69696868 6767666665656464 6363626261616060"
	$"5f5f5e5e5d5d5c5c 5b5b5a5a59595858 5757565655555454 5353525251515050"
	$"4f4f4e4e4d4d4c4c 4b4b4a4a49494848 4747464645454444 4343424241414040"
	$"3f3f3e3e3d3d3c3c 3b3b3a3a39393838 3737363635353434 3333323231313030"
	$"2f2f2e2e2d2d2c2c 2b2b2a2a29292828 2727262625252424 2323222221212020"
	$"1f1f1e1e1d1d1c1c 1b1b1a1a19191818 1717161615151414 1313121211111010"
	$"0f0f0e0e0d0d0c0c 0b0b0a0a09090808 0707060605050404 0303020201010000"
	$"fffffefefdfdfcfc fbfbfafaf9f9f8f8 f7f7f6f6f5f5f4f4 f3f3f2f2f1f1f0f0"
	$"efefeeeeededecec ebebeaeae9e9e8e8 e7e7e6e6e5e5e4e4 e3e3e2e2e1e1e0e0"
	$"dfdfdededddddcdc dbdbdadad9d9d8d8 d7d7d6d6d5d5d4d4 d3d3d2d2d1d1d0d0"
	$"cfcfcececdcdcccc cbcbcacac9c9c8c8 c7c7c6c6c5c5c4c4 c3c3c2c2c1c1c0c0"
	$"bfbfbebebdbdbcbc bbbbbabab9b9b8b8 b7b7b6b6b5b5b4b4 b3b3b2b2b1b1b0b0"
	$"afafaeaeadadacac ababaaaaa9a9a8a8 a7a7a6a6a5a5a4a4 a3a3a2a2a1a1a0a0"
	$"9f9f9e9e9d9d9c9c 9b9b9a9a99999898 9797969695959494 9393929291919090"
	$"8f8f8e8e8d8d8c8c 8b8b8a8a89898888 8787868685858484 8383828281818080"
};






/*-------------------------------------------------------------------------------*/
/*	This next resource is the speaker Icon for the dialog box.*/

resource 'ICON' (rSpeaker, "Speaker", purgeable)
{
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0008 0000"
	$"0018 0000 0028 0000 0048 0000 0088 0000"
	$"0108 0000 0208 0000 FC08 0000 8008 0000"
	$"8008 0000 8008 0000 8008 0000 FC08 0000"
	$"0208 0000 0108 0000 0088 0000 0048 0000"
	$"0028 0000 0018 0000 0008"
};


