/*
	AppleTalkTypes.r - resource file for TMON 3.0.x templates 
	AppleTalk.
	By: Rich Kubota, Macintosh Developer Technical Support
	Date: 3/2/92
	
	Build Instruction:
	rez AppleTalkTypes.r -t User -c Tmon -o "{SystemFolder}Extensions:TMON Folder:AppleTalk Types & Macros"

	
*/
#include "TmonTypes.r"

#define ATalkTypesRsrcID		3586	/* Typ# resource ID for these templates */

#define	defaultFieldFlag		0b0
#define	defaultRecordFlag		0b0

#define typeQElem				0x1007	/* defined in supplied TMON "Types" User Area */
#define typeEParamBlockRec		0x1108	/* defines in supplied TMON "Types" User Area */
#define typeLAPAdrBlock			20100
#define typeATQEntry			20101
#define typeAddrBlock			20102
#define typeEntityName			20103
#define typeRetransType			20104
#define typeBDSElement			20105
#define typeBDSType				20106
#define typeATLAPRec			20107
#define typeATDDPRec			20108
#define typeATNBPRec			20109
#define typeATATPRec			20110
#define typeAFPCommandBlock		20111
#define typeXPPPBHeader			20112
#define typeXPPParamBlock		20113
#define typeAFPLoginPrm			20114
#define typeASPOpenPrm			20115
#define typeASPAbortPrm			20116
#define typeASPGetparmsBlk		20117
#define typeXCallParam			20118
#define typeWDSElement			20119
#define typeNTElement			20120
#define typeNamesTableEntry	 	20121
#define typeMPPATPHeader		20122
#define typeMPPParms			20123
#define typeLAPWriteParm		20124
#define typeAttachPHParm		20125
#define typeDetachPHParm		20126
#define typeOpenSktParm			20127
#define typeCloseSktParm		20128
#define typeWriteDDPParm		20129
#define typeRegisterNameParm	20130
#define typeLookupNameParm		20131
#define typeConfirmNameParm		20132
#define typeRemoveNameParm		20133
#define typeSetSelfParm			20134
#define typeNBPKillParm			20135
#define typeGetAppleTalkInfoParm 20136
#define typeATalkClosePrepParm	20137
#define typeATPParms			20138
#define typeSendReqParm			20139
#define typeKillReqParm			20140
#define typeSendResponseParm	20141
#define typeGetRequestParm		20142
#define typeAddResponseParm		20143
#define typeEParmBlockHeader	20144
#define typeEAttachPHParm		20145
#define typeEDetachPHParm		20146
#define typeEWriteParm			20147
#define typeEReadParm			20148
#define typeERdCancelParm		20149
#define typeEGetInfoParm		20150
#define typeEGetInfoData		20151
#define	typeEAddMultiParm		20152
#define typeEDelMultiParm		20153
#define typeAGetInfoRec			20154
#define typeAAddNodeRec			20155
#define typeADelNodeRec			20156
#define typeAGetNodeRefRec		20157
#define typeAddNodeParm			20158
#define typeRemoveNodeParm		20159
#define typeNetWriteParm		20160


resource 'Typ#' (ATalkTypesRsrcID, "AppleTalk Templates", purgeable) {
	{
		/* [1] */
		defaultRecordFlag,
		0x03,
		typeLAPAdrBlock,
		"LAPAdrBlock",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x01,
			typeUShortInt,
			"dstNodeID",
			/* [2] */
			defaultFieldFlag,
			0x01,
			0x01,
			typeUShortInt,
			"srcNodeID",
			/* [3] */
			defaultFieldFlag,
			0x02,
			0x01,
			typeSShortInt,
			"lapProtType"
		},
		/* [2] */
		defaultRecordFlag,
		0x0A,
		typeATQEntry,
		"ATQEntry",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x04,
			(typePtr+typeATQEntry),
			"qLink",
			/* [2] */
			defaultFieldFlag,
			0x04,
			0x02,
			typeUInteger,
			"qType",
			/* [3] */
			defaultFieldFlag,
			0x06,
			0x04,
			typeCodePtr,
			"CallAddr"
		},
		/* [3] */
		defaultRecordFlag,
		0x04,
		typeAddrBlock,
		"AddrBlock",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x02,
			typeUInteger,
			"aNet",
			/* [2] */
			defaultFieldFlag,
			0x02,
			0x01,
			typeUShortInt,
			"aNode",
			/* [3] */
			defaultFieldFlag,
			0x03,
			0x01,
			typeUShortInt,
			"aSocket"
		},
		/* [4] */
		defaultRecordFlag,
		0x66,
		typeEntityName,
		"EntityName",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x21,
			typePString,
			"objStr",
			/* [x] */
			defaultFieldFlag,
			0x22,
			0x21,
			typePString,
			"typeStr",
			/* [x] */
			defaultFieldFlag,
			0x44,
			0x21,
			typePString,
			"zoneStr"
		},
		/* [5] */
		defaultRecordFlag,
		0x02,
		typeRetransType,
		"RetransType",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x01,
			typeUShortInt,
			"retransInterval",
			/* [2] */
			defaultFieldFlag,
			0x01,
			0x01,
			typeUShortInt,
			"retransCount"
		},
		/* [6] */
		defaultRecordFlag,
		0x0C,
		typeBDSElement,
		"BDSElement",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x02,
			typeUInteger,
			"buffSize",
			/* [2] */
			defaultFieldFlag,
			0x02,
			0x04,
			typePtr,
			"buffPtr",
			/* [3] */
			defaultFieldFlag,
			0x06,
			0x02,
			typeUInteger,
			"dataSize",
			/* [4] */
			defaultFieldFlag,
			0x08,
			0x04,
			typeLong,
			"userBytes"
		},
		/* [7] */
		defaultRecordFlag,
		0x60,
		typeBDSType,
		"BDSType",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x0C,
			typeBDSElement,
			"BDSType1",
			/* [2] */
			defaultFieldFlag,
			0x0C,
			0x0C,
			typeBDSElement,
			"BDSType2",
			/* [3] */
			defaultFieldFlag,
			0x18,
			0x0C,
			typeBDSElement,
			"BDSType3",
			/* [4] */
			defaultFieldFlag,
			0x24,
			0x0C,
			typeBDSElement,
			"BDSType4",
			/* [5] */
			defaultFieldFlag,
			0x30,
			0x0C,
			typeBDSElement,
			"BDSType5",
			/* [6] */
			defaultFieldFlag,
			0x3C,
			0x0C,
			typeBDSElement,
			"BDSType6",
			/* [7] */
			defaultFieldFlag,
			0x48,
			0x0C,
			typeBDSElement,
			"BDSType7",
			/* [8] */
			defaultFieldFlag,
			0x54,
			0x0C,
			typeBDSElement,
			"BDSType8"
		},
		/* [8] */
		defaultRecordFlag,
		0x14,
		typeATLAPRec,
		"ATLAPRec",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x01,
			typeUShortInt,
			"abOpcode",
			/* [2] */
			defaultFieldFlag,
			0x02,
			0x02,
			typeSInteger,
			"abResult",
			/* [3] */
			defaultFieldFlag,
			0x04,
			0x04,
			typeLong,
			"abUserReference",
			/* [4] */
			defaultFieldFlag,
			0x08,
			0x03,
			typeLAPAdrBlock,
			"lapAddress",
			/* [5] */
			defaultFieldFlag,
			0x0C,
			0x02,
			typeSInteger,
			"lapReqCount",
			/* [6] */
			defaultFieldFlag,
			0x0E,
			0x02,
			typeSInteger,
			"lapActCount",
			/* [7] */
			defaultFieldFlag,
			0x10,
			0x04,
			typePtr,
			"lapDataPtr"
		},
		/* [9] */
		defaultRecordFlag,
		0x1A,
		typeATDDPRec,
		"ATDDPRec",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x01,
			typeUShortInt,
			"abOpcode",
			/* [2] */
			defaultFieldFlag,
			0x02,
			0x02,
			typeSInteger,
			"abResult",
			/* [3] */
			defaultFieldFlag,
			0x04,
			0x04,
			typeLong,
			"abUserReference",
			/* [4] */
			defaultFieldFlag,
			0x08,
			0x02,
			typeUInteger,
			"ddpType",
			/* [5] */
			defaultFieldFlag,
			0x0A,
			0x02,
			typeUInteger,
			"ddpSocket",
			/* [6] */
			defaultFieldFlag,
			0x0C,
			0x04,
			typeAddrBlock,
			"ddpAddress",
			/* [7] */
			defaultFieldFlag,
			0x10,
			0x02,
			typeSInteger,
			"ddpReqCount",
			/* [8] */
			defaultFieldFlag,
			0x12,
			0x02,
			typeSInteger,
			"ddpActCount",
			/* [9] */
			defaultFieldFlag,
			0x14,
			0x04,
			typePtr,
			"ddpDataPtr",
			/* [10] */
			defaultFieldFlag,
			0x18,
			0x02,
			typeUInteger,
			"ddpNodeID"
		},
		/* [10] */
		defaultRecordFlag,
		0x1A,
		typeATNBPRec,
		"ATNBPRec",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x01,
			typeUShortInt,
			"abOpcode",
			/* [2] */
			defaultFieldFlag,
			0x02,
			0x02,
			typeSInteger,
			"abResult",
			/* [3] */
			defaultFieldFlag,
			0x04,
			0x04,
			typeLong,
			"abUserReference",
			/* [4] */
			defaultFieldFlag,
			0x08,
			0x04,
			(typePtr+typeEntityName),
			"nbpEntityPtr",
			/* [5] */
			defaultFieldFlag,
			0x0C,
			0x04,
			typePtr,
			"nbpBufPtr",
			/* [6] */
			defaultFieldFlag,
			0x10,
			0x02,
			typeUInteger,
			"nbpBufSize",
			/* [7] */
			defaultFieldFlag,
			0x12,
			0x02,
			typeUInteger,
			"nbpDataField",
			/* [8] */
			defaultFieldFlag,
			0x14,
			0x04,
			typeAddrBlock,
			"nbpAddress",
			/* [9] */
			defaultFieldFlag,
			0x18,
			0x02,
			typeRetransType,
			"nbpRetransmitInfo"
		},
		/* [11] */
		defaultRecordFlag,
		0x38,
		typeATATPRec,
		"ATATPRec",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x01,
			typeUShortInt,
			"abOpcode",
			/* [2] */
			defaultFieldFlag,
			0x02,
			0x02,
			typeSInteger,
			"abResult",
			/* [3] */
			defaultFieldFlag,
			0x04,
			0x04,
			typeLong,
			"abUserReference",
			/* [4] */
			defaultFieldFlag,
			0x08,
			0x02,
			typeUInteger,
			"atpSocket",
			/* [5] */
			defaultFieldFlag,
			0x0A,
			0x04,
			typeAddrBlock,
			"atpAddress",
			/* [6] */
			defaultFieldFlag,
			0x0E,
			0x02,
			typeUInteger,
			"atpReqCount",
			/* [7] */
			defaultFieldFlag,
			0x10,
			0x04,
			typePtr,
			"atpDataPtr",
			/* [8] */
			defaultFieldFlag,
			0x14,
			0x04,
			(typePtr+typeBDSElement),
			"atpRspBDSPtr",
			/* [9] */
			defaultFieldFlag,
			0x18,
			0x01,
			typeUShortInt,
			"atpBitMap",
			/* [10] */
			defaultFieldFlag,
			0x1A,
			0x02,
			typeUInteger,
			"atpTransID",
			/* [11] */
			defaultFieldFlag,
			0x1C,
			0x02,
			typeUInteger,
			"atpActCount",
			/* [12] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typeLong,
			"atpUserData",
			/* [13] */
			defaultFieldFlag,
			0x22,
			0x01,
			typeBoolean,
			"atpXO",
			/* [14] */
			defaultFieldFlag,
			0x23,
			0x01,
			typeBoolean,
			"atpEOM",
			/* [15] */
			defaultFieldFlag,
			0x24,
			0x02,
			typeUInteger,
			"atpTimeOut",
			/* [16] */
			defaultFieldFlag,
			0x26,
			0x02,
			typeUInteger,
			"atpRetries",
			/* [17] */
			defaultFieldFlag,
			0x28,
			0x02,
			typeUInteger,
			"atpNumBufs",
			/* [18] */
			defaultFieldFlag,
			0x2A,
			0x02,
			typeUInteger,
			"atpNumRsp",
			/* [19] */
			defaultFieldFlag,
			0x2C,
			0x02,
			typeUInteger,
			"atpBDSSize",
			/* [20] */
			defaultFieldFlag,
			0x2E,
			0x04,
			typeLong,
			"atpRspUData",
			/* [21] */
			defaultFieldFlag,
			0x32,
			0x04,
			typePtr,
			"atpRspBuf",
			/* [22] */
			defaultFieldFlag,
			0x36,
			0x02,
			typeUInteger,
			"atpRspSize"
		},
		/* [12] */
		defaultRecordFlag,
		0x0E,
		typeAFPCommandBlock,
		"AFPCommandBlock",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x01,
			typeUShortInt,
			"cmdByte",
			/* [2] */
			defaultFieldFlag,
			0x01,
			0x01,
			typeUShortInt,
			"startEndFlag",
			/* [3] */
			defaultFieldFlag,
			0x02,
			0x02,
			typeSInteger,
			"forkRefNum",
			/* [4] */
			defaultFieldFlag,
			0x04,
			0x04,
			typeULongInt,
			"rwOffset",
			/* [5] */
			defaultFieldFlag,
			0x08,
			0x04,
			typeULongInt,
			"reqCount",
			/* [6] */
			defaultFieldFlag,
			0x0C,
			0x01,
			typeUShortInt,
			"newLineFlag",
			/* [7] */
			defaultFieldFlag,
			0x0D,
			0x01,
			typeChar,
			"newLineChar"
		},
		/* [13] */
		defaultRecordFlag,
		0x1C,
		typeXPPPBHeader,
		"XPPPBHeader",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x04,
			(typePtr+typeQElem),
			"qLink",
			/* [2] */
			defaultFieldFlag,
			0x04,
			0x02,
			typeUInteger,
			"qType",
			/* [3] */
			defaultFieldFlag,
			0x06,
			0x02,
			typeWord,
			"ioTrap",
			/* [4] */
			defaultFieldFlag,
			0x08,
			0x04,
			typePtr,
			"ioCmdAddr",
			/* [5] */
			defaultFieldFlag,
			0x0C,
			0x04,
			typeCodePtr,
			"ioCompletion",
			/* [6] */
			defaultFieldFlag,
			0x10,
			0x02,
			typeSInteger,
			"ioResult",
			/* [7] */
			defaultFieldFlag,
			0x12,
			0x04,
			typeSLongInt,
			"cmdResult",
			/* [8] */
			defaultFieldFlag,
			0x16,
			0x02,
			typeSInteger,
			"ioVRefNum",
			/* [9] */
			defaultFieldFlag,
			0x18,
			0x02,
			typeSInteger,
			"ioRefNum",
			/* [10] */
			defaultFieldFlag,
			0x1A,
			0x02,
			typeUInteger,
			"csCode"
		},
		/* [14] */
		defaultRecordFlag,
		0x15A,
		typeXPPParamBlock,
		"XPPParamBlock",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeXPPPBHeader,
			"XPPPBHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x02,
			typeUInteger,
			"sessRefnum",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x01,
			typeUShortInt,
			"aspTimeout",
			/* [4] */
			defaultFieldFlag,
			0x1F,
			0x01,
			typeUShortInt,
			"aspRetry",
			/* [5] */
			defaultFieldFlag,
			0x20,
			0x02,
			typeUInteger,
			"cbSize",
			/* [6] */
			defaultFieldFlag,
			0x22,
			0x04,
			typePtr,
			"cbPtr",
			/* [7] */
			defaultFieldFlag,
			0x26,
			0x02,
			typeUInteger,
			"rbSize",
			/* [8] */
			defaultFieldFlag,
			0x28,
			0x04,
			typePtr,
			"rbPtr",
			/* [9] */
			defaultFieldFlag,
			0x2C,
			0x02,
			typeUInteger,
			"wdSize",
			/* [10] */
			defaultFieldFlag,
			0x2E,
			0x04,
			typePtr,
			"wdPtr",
			/* [11] */
			defaultFieldFlag,
			0x32,
			0x128,
			typeDump,
			"ccbStart"
		},
		/* [15] */
		defaultRecordFlag,
		0xC8,
		typeAFPLoginPrm,
		"typeAFPLoginPrm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeXPPPBHeader,
			"XPPPBHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x02,
			typeSInteger,
			"sessRefnum",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x01,
			typeUShortInt,
			"aspTimeout",
			/* [4] */
			defaultFieldFlag,
			0x1F,
			0x01,
			typeUShortInt,
			"aspRetry",
			/* [5] */
			defaultFieldFlag,
			0x20,
			0x02,
			typeUInteger,
			"cbSize",
			/* [6] */
			defaultFieldFlag,
			0x22,
			0x04,
			typePtr,
			"cbPtr",
			/* [7] */
			defaultFieldFlag,
			0x26,
			0x02,
			typeUInteger,
			"rbSize",
			/* [8] */
			defaultFieldFlag,
			0x28,
			0x04,
			typePtr,
			"rbPtr",
			/* [9] */
			defaultFieldFlag,
			0x2C,
			0x04,
			typeAddrBlock,
			"afpAddrBlock",
			/* [10] */
			defaultFieldFlag,
			0x30,
			0x04,
			typePtr,
			"afpSCBPtr",
			/* [11] */
			defaultFieldFlag,
			0x34,
			0x04,
			typeCodePtr,
			"afpAttnRoutine",
			/* [12] */
			defaultFieldFlag,
			0x38,
			0x90,
			typeDump,
			"ccbFill"
		},
		/* [16] */
		defaultRecordFlag,
		0x2C,
		typeASPOpenPrm,
		"ASPOpenPrm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeXPPPBHeader,
			"XPPPBHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x02,
			typeSInteger,
			"sessRefnum",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x01,
			typeUShortInt,
			"aspTimeout",
			/* [4] */
			defaultFieldFlag,
			0x1F,
			0x01,
			typeUShortInt,
			"aspRetry",
			/* [5] */
			defaultFieldFlag,
			0x20,
			0x04,
			typeAddrBlock,
			"serverAddr",
			/* [6] */
			defaultFieldFlag,
			0x24,
			0x04,
			typePtr,
			"scbPointer",
			/* [7] */
			defaultFieldFlag,
			0x28,
			0x04,
			typeCodePtr,
			"attnRoutine"
		},
		/* [17] */
		defaultRecordFlag,
		0x20,
		typeASPAbortPrm,
		"ASPAbortPrm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeXPPPBHeader,
			"XPPPBHeader",
			/* [x] */
			defaultFieldFlag,
			0x1C,
			0x04,
			typePtr,
			"abortSCBPtr"
		},
		/* [18] */
		defaultRecordFlag,
		0x22,
		typeASPGetparmsBlk,
		"ASPGetparmsBlk",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeXPPParamBlock,
			"XPPParamBlock",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x02,
			typeUInteger,
			"aspMaxCmdSize",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x02,
			typeUInteger,
			"aspQuantumSize",
			/* [4] */
			defaultFieldFlag,
			0x20,
			0x02,
			typeUInteger,
			"numSesss"
		},
		/* [19] */
		defaultRecordFlag,
		0x70,
		typeXCallParam,
		"XCallParam",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeXPPParamBlock,
			"XPPParamBlock",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x02,
			typeUInteger,
			"xppSubCode",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x01,
			typeUShortInt,
			"xppTimeout",
			/* [4] */
			defaultFieldFlag,
			0x1F,
			0x01,
			typeUShortInt,
			"xppRetry",
			/* [5] */
			defaultFieldFlag,
			0x22,
			0x04,
			typePtr,
			"zipBuffPtr",
			/* [6] */
			defaultFieldFlag,
			0x26,
			0x02,
			typeUInteger,
			"zipNumZones",
			/* [7] */
			defaultFieldFlag,
			0x28,
			0x01,
			typeSShortInt,
			"zipLastFlag",
			/* [8] */
			defaultFieldFlag,
			0x2A,
			0x46,
			typeDump,
			"zipInfoField"
		},
		/* [20] */
		defaultRecordFlag,
		0x06,
		typeWDSElement,
		"WDSElement",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x02,
			typeUInteger,
			"entryLength",
			/* [2] */
			defaultFieldFlag,
			0x02,
			0x04,
			typePtr,
			"entryPtr"
		},
		/* [21] */
		defaultRecordFlag,
		0x68,
		typeNTElement,
		"NTElement",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x04,
			typeAddrBlock,
			"nteAddress",
			/* [2] */
			defaultFieldFlag,
			0x05,
			0x63,
			typeDump,
			"entityData"
		},
		/* [22] */
		defaultRecordFlag,
		0x6C,
		typeNamesTableEntry,
		"NamesTableEntry",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x04,
			typePtr,
			"qNext",
			/* [2] */
			defaultFieldFlag,
			0x04,
			0x68,
			typeNTElement,
			"nt"
		},
		/* [23] */
		defaultRecordFlag,
		0x1C,
		typeMPPATPHeader,
		"MPPATPHeader",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x04,
			typeQElem,
			"qLink",
			/* [2] */
			defaultFieldFlag,
			0x04,
			0x02,
			typeSInteger,
			"qType",
			/* [3] */
			defaultFieldFlag,
			0x06,
			0x02,
			typeWord,
			"ioTrap",
			/* [4] */
			defaultFieldFlag,
			0x08,
			0x04,
			typePtr,
			"ioCmdAddr",
			/* [5] */
			defaultFieldFlag,
			0x0C,
			0x04,
			typeCodePtr,
			"ioCompletion",
			/* [6] */
			defaultFieldFlag,
			0x10,
			0x02,
			typeSInteger,
			"ioResult",
			/* [7] */
			defaultFieldFlag,
			0x12,
			0x04,
			typeLong,
			"userData",
			/* [8] */
			defaultFieldFlag,
			0x16,
			0x02,
			typeSInteger,
			"reqTID",
			/* [9] */
			defaultFieldFlag,
			0x18,
			0x02,
			typeSInteger,
			"ioRefNum",
			/* [10] */
			defaultFieldFlag,
			0x1A,
			0x02,
			typeUInteger,
			"csCode"
		},
		/* [24] */
		defaultRecordFlag,
		0x1C,
		typeMPPParms,
		"MPPParms",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader"
		},
		/* [25] */
		defaultRecordFlag,
		0x22,
		typeLAPWriteParm,
		"LAPWriteParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typePtr,
			"wdsPointer"
		},
		/* [26] */
		defaultRecordFlag,
		0x22,
		typeAttachPHParm,
		"AttachPHParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x01,
			typeSShortInt,
			"protType",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typeCodePtr,
			"handler"
		},
		/* [27] */
		defaultRecordFlag,
		0x22,
		typeDetachPHParm,
		"DetachPHParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x01,
			typeSShortInt,
			"protType",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typeCodePtr,
			"handler"
		},
		/* [28] */
		defaultRecordFlag,
		0x22,
		typeOpenSktParm,
		"OpenSktParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x01,
			typeUShortInt,
			"socket",
			/* [3] */
			defaultFieldFlag,
			0x1D,
			0x01,
			typeSShortInt,
			"checksumFlag",
			/* [4] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typeCodePtr,
			"listener"
		},
		/* [29] */
		defaultRecordFlag,
		0x1E,
		typeCloseSktParm,
		"CloseSktParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x01,
			typeUShortInt,
			"socket"
		},
		/* [30] */
		defaultRecordFlag,
		0x22,
		typeWriteDDPParm,
		"WriteDDPParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x01,
			typeUShortInt,
			"socket",
			/* [3] */
			defaultFieldFlag,
			0x1D,
			0x01,
			typeSShortInt,
			"checksumFlag",
			/* [4] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typePtr,
			"wdsPointer"
		},
		/* [31] */
		defaultRecordFlag,
		0x24,
		typeRegisterNameParm,
		"RegisterNameParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x01,
			typeUShortInt,
			"interval",
			/* [3] */
			defaultFieldFlag,
			0x1D,
			0x01,
			typeUShortInt,
			"count",
			/* [4] */
			defaultFieldFlag,
			0x1E,
			0x04,
			(typePtr+typeNTElement),
			"ntQElPtr",
			/* [5] */
			defaultFieldFlag,
			0x22,
			0x01,
			typeSShortInt,
			"verifyFlag"
		},
		/* [32] */
		defaultRecordFlag,
		0x2C,
		typeLookupNameParm,
		"LookupNameParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x01,
			typeUShortInt,
			"interval",
			/* [3] */
			defaultFieldFlag,
			0x1D,
			0x01,
			typeUShortInt,
			"count",
			/* [4] */
			defaultFieldFlag,
			0x1E,
			0x04,
			(typePtr+typeEntityName),
			"entityPtr",
			/* [5] */
			defaultFieldFlag,
			0x22,
			0x04,
			typePtr,
			"retBuffPtr",
			/* [6] */
			defaultFieldFlag,
			0x26,
			0x02,
			typeSInteger,
			"retBuffSize",
			/* [7] */
			defaultFieldFlag,
			0x28,
			0x02,
			typeSInteger,
			"maxToGet",
			/* [8] */
			defaultFieldFlag,
			0x2A,
			0x02,
			typeSInteger,
			"numGotten"
		},
		/* [33] */
		defaultRecordFlag,
		0x28,
		typeConfirmNameParm,
		"ConfirmNameParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x01,
			typeUShortInt,
			"interval",
			/* [3] */
			defaultFieldFlag,
			0x1D,
			0x01,
			typeUShortInt,
			"count",
			/* [4] */
			defaultFieldFlag,
			0x1E,
			0x04,
			(typePtr+typeEntityName),
			"entityPtr",
			/* [5] */
			defaultFieldFlag,
			0x22,
			0x04,
			typeAddrBlock,
			"confirmAddr",
			/* [6] */
			defaultFieldFlag,
			0x26,
			0x01,
			typeUShortInt,
			"newSocket"
		},
		/* [34] */
		defaultRecordFlag,
		0x22,
		typeRemoveNameParm,
		"RemoveNameParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1E,
			0x04,
			(typePtr+typeEntityName),
			"entityPtr"
		},
		/* [35] */
		defaultRecordFlag,
		0x1E,
		typeSetSelfParm,
		"SetSelfParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x01,
			typeSShortInt,
			"newSelfFlag",
			/* [3] */
			defaultFieldFlag,
			0x1D,
			0x01,
			typeSShortInt,
			"oldSelfFlag"
		},
		/* [36] */
		defaultRecordFlag,
		0x20,
		typeNBPKillParm,
		"NBPKillParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x04,
			typePtr,
			"nKillQEl"
		},
		/* [37] */
		defaultRecordFlag,
		0x4E,
		typeGetAppleTalkInfoParm,
		"GetAppleTalkInfoParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x02,
			typeSInteger,
			"version",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typePtr,
			"varsPtr",
			/* [4] */
			defaultFieldFlag,
			0x22,
			0x04,
			typePtr,
			"DCEPtr",
			/* [5] */
			defaultFieldFlag,
			0x26,
			0x02,
			typeUInteger,
			"portID",
			/* [6] */
			defaultFieldFlag,
			0x28,
			0x04,
			typeLong,
			"configuration",
			/* [7] */
			defaultFieldFlag,
			0x2C,
			0x02,
			typeSInteger,
			"selfSend",
			/* [8] */
			defaultFieldFlag,
			0x2E,
			0x02,
			typeUInteger,
			"netLo",
			/* [9] */
			defaultFieldFlag,
			0x30,
			0x02,
			typeUInteger,
			"netHi",
			/* [10] */
			defaultFieldFlag,
			0x32,
			0x04,
			typeAddrBlock,
			"ourAdd",
			/* [11] */
			defaultFieldFlag,
			0x36,
			0x04,
			typeAddrBlock,
			"routerAddr",
			/* [12] */
			defaultFieldFlag,
			0x3A,
			0x02,
			typeUInteger,
			"numOfPHs",
			/* [13] */
			defaultFieldFlag,
			0x3C,
			0x02,
			typeUInteger,
			"numOfSkts",
			/* [14] */
			defaultFieldFlag,
			0x3E,
			0x02,
			typeUInteger,
			"numNBPEs",
			/* [15] */
			defaultFieldFlag,
			0x40,
			0x04,
			typePtr,
			"nTQueue",
			/* [16] */
			defaultFieldFlag,
			0x44,
			0x02,
			typeSInteger,
			"LAlength",
			/* [17] */
			defaultFieldFlag,
			0x46,
			0x04,
			typePtr,
			"linkAddr",
			/* [18] */
			defaultFieldFlag,
			0x4A,
			0x04,
			typeStringPtr,
			"zoneName"
		},
		/* [38] */
		defaultRecordFlag,
		0x20,
		typeATalkClosePrepParm,
		"ATalkClosePrepParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x04,
			typeStringPtr,
			"appName"
		},
		/* [39] */
		defaultRecordFlag,
		0x2C,
		typeATPParms,
		"ATPParms",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeMPPATPHeader,
			"MPPATPHeader",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x01,
			typeUShortInt,
			"atpSocket",
			/* [3] */
			defaultFieldFlag,
			0x1D,
			0x01,
			typeByte,
			"atpFlags",
			/* [4] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typeAddrBlock,
			"addrBlock",
			/* [5] */
			defaultFieldFlag,
			0x22,
			0x02,
			typeUInteger,
			"reqLength",
			/* [6] */
			defaultFieldFlag,
			0x24,
			0x04,
			typePtr,
			"reqPointer",
			/* [7] */
			defaultFieldFlag,
			0x28,
			0x04,
			typePtr,
			"bdsPointer"
		},
		/* [40] */
		defaultRecordFlag,
		0x34,
		typeSendReqParm,
		"SendReqParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x2C,
			typeATPParms,
			"ATPParms",
			/* [2] */
			defaultFieldFlag,
			0x2C,
			0x01,
			typeUShortInt,
			"numOfBuffs",
			/* [3] */
			defaultFieldFlag,
			0x2D,
			0x01,
			typeUShortInt,
			"timeOutVal",
			/* [4] */
			defaultFieldFlag,
			0x2E,
			0x01,
			typeUShortInt,
			"numOfResps",
			/* [5] */
			defaultFieldFlag,
			0x2F,
			0x01,
			typeUShortInt,
			"retryCount",
			/* [6] */
			defaultFieldFlag,
			0x30,
			0x02,
			typeWord,
			"intBuff",
			/* [7] */
			defaultFieldFlag,
			0x32,
			0x01,
			typeUShortInt,
			"TRelTime"
		},
		/* [41] */
		defaultRecordFlag,
		0x30,
		typeKillReqParm,
		"KillReqParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x2C,
			typeATPParms,
			"ATPParms",
			/* [2] */
			defaultFieldFlag,
			0x2C,
			0x04,
			typePtr,
			"aKillQEl"
		},
		/* [42] */
		defaultRecordFlag,
		0x30,
		typeSendResponseParm,
		"SendResponseParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x2C,
			typeATPParms,
			"ATPParms",
			/* [2] */
			defaultFieldFlag,
			0x2D,
			0x01,
			typeUShortInt,
			"bdsSize",
			/* [3] */
			defaultFieldFlag,
			0x2E,
			0x02,
			typeUShortInt,
			"transID"
		},
		/* [43] */
		defaultRecordFlag,
		0x2E,
		typeGetRequestParm,
		"GetRequestParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x2C,
			typeATPParms,
			"ATPParms",
			/* [2] */
			defaultFieldFlag,
			0x2C,
			0x01,
			typeByte,
			"bitMap"
		},
		/* [44] */
		defaultRecordFlag,
		0x2E,
		typeAddResponseParm,
		"AddResponseParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x2C,
			typeATPParms,
			"ATPParms",
			/* [2] */
			defaultFieldFlag,
			0x2C,
			0x01,
			typeUShortInt,
			"rspNum"
		},
		/* [45] */
		defaultRecordFlag,
		0x1C,
		typeEParmBlockHeader,
		"EParmBlockHeader",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x04,
			typeQElem,
			"qLink",
			/* [2] */
			defaultFieldFlag,
			0x04,
			0x02,
			typeUInteger,
			"qType",
			/* [3] */
			defaultFieldFlag,
			0x06,
			0x02,
			typeWord,
			"ioTrap",
			/* [4] */
			defaultFieldFlag,
			0x08,
			0x04,
			typePtr,
			"ioCmdAddr",
			/* [5] */
			defaultFieldFlag,
			0x0C,
			0x04,
			typeCodePtr,
			"ioCompletion",
			/* [6] */
			defaultFieldFlag,
			0x10,
			0x02,
			typeSInteger,
			"ioResult",
			/* [7] */
			defaultFieldFlag,
			0x12,
			0x04,
			typeStringPtr,
			"ioNamePtr",
			/* [8] */
			defaultFieldFlag,
			0x16,
			0x02,
			typeSInteger,
			"ioVRefNum",
			/* [9] */
			defaultFieldFlag,
			0x18,
			0x02,
			typeSInteger,
			"ioRefNum",
			/* [10] */
			defaultFieldFlag,
			0x1A,
			0x02,
			typeUInteger,
			"csCode"
		},
		/* [46] */
		defaultRecordFlag,
		0x22,
		typeEAttachPHParm,
		"EAttachPHParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParmBlockHeader,
			"EParmBlock",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x02,
			typeUInteger,
			"eProtType",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typePtr,
			"ePointer"
		},
		/* [47] */
		defaultRecordFlag,
		0x1E,
		typeEDetachPHParm,
		"EDetachPHParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParmBlockHeader,
			"EParmBlock",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x02,
			typeUInteger,
			"eProtType"
		},
		/* [48] */
		defaultRecordFlag,
		0x22,
		typeEWriteParm,
		"EWriteParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParmBlockHeader,
			"EParmBlock",
			/* [2] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typePtr,
			"ePointer"
		},
		/* [49] */
		defaultRecordFlag,
		0x26,
		typeEReadParm,
		"EReadParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParmBlockHeader,
			"EParmBlock",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x02,
			typeUInteger,
			"eProtType",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typePtr,
			"ePointer",
			/* [4] */
			defaultFieldFlag,
			0x22,
			0x02,
			typeUInteger,
			"eBuffSize",
			/* [5] */
			defaultFieldFlag,
			0x24,
			0x02,
			typeUInteger,
			"eDataSize"
		},
		/* [50] */
		defaultRecordFlag,
		0x22,
		typeERdCancelParm,
		"ERdCancel",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParmBlockHeader,
			"EParmBlock",
			/* [2] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typePtr,
			"ePointer"
		},
		/* [51] */
		defaultRecordFlag,
		0x24,
		typeEGetInfoParm,
		"EGetInfoParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParmBlockHeader,
			"EParmBlock",
			/* [2] */
			defaultFieldFlag,
			0x1E,
			0x04,
			typePtr,
			"ePointer",
			/* [3] */
			defaultFieldFlag,
			0x22,
			0x02,
			typeUInteger,
			"eBuffSize",
		},
		/* [52] */
		defaultRecordFlag,
		0x12,
		typeEGetInfoData,
		"EGetInfoData",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x06,
			typeDump,
			"eAddress",
			/* [2] */
			defaultFieldFlag,
			0x06,
			0x04,
			typeULongInt,
			"numOverflow",
			/* [3] */
			defaultFieldFlag,
			0x0A,
			0x04,
			typeULongInt,
			"numTimeout",
			/* [4] */
			defaultFieldFlag,
			0x0E,
			0x04,
			typeULongInt,
			"numBadAddress"
		},
		/* [53] */
		defaultRecordFlag,
		0x22,
		typeEAddMultiParm,
		"EAddMultiParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParmBlockHeader,
			"EParmBlock",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x06,
			typeDump,
			"eMultiAddr"
		},
		/* [54] */
		defaultRecordFlag,
		0x22,
		typeEDelMultiParm,
		"EDelMultiParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParmBlockHeader,
			"EParmBlock",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x06,
			typeDump,
			"eMultiAddr"
		},
		/* [55] */
		defaultRecordFlag,
		0x16,
		typeAGetInfoRec,
		"AGetInfoRec",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x02,
			typeSInteger,
			"version",
			/* [2] */
			defaultFieldFlag,
			0x02,
			0x02,
			typeSInteger,
			"length",
			/* [3] */
			defaultFieldFlag,
			0x04,
			0x04,
			typeULongInt,
			"speed",
			/* [4] */
			defaultFieldFlag,
			0x08,
			0x01,
			typeSShortInt,
			"bandwidth",
			/* [5] */
			defaultFieldFlag,
			0x0C,
			0x01,
			typeByte,
			"flags",
			/* [6] */
			defaultFieldFlag,
			0x0D,
			0x01,
			typeSShortInt,
			"linkAddrSize",
			/* [7] */
			defaultFieldFlag,
			0x0E,
			0x06,
			typeDump,
			"linkAddress",
			/* [8] */
			defaultFieldFlag,
			0x14,
			0x02,
			typeSShortInt,
			"maxnodes"
		},
		/* [56] */
		defaultRecordFlag,
		0x2C,
		typeAAddNodeRec,
		"AAddNodeRec",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParamBlockRec,
			"PBRec",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x04,
			typeAddrBlock,
			"NetAddr",
			/* [3] */
			defaultFieldFlag,
			0x20,
			0x02,
			typeUInteger,
			"NumTrys",
			/* [4] */
			defaultFieldFlag,
			0x22,
			0x04,
			typeLong,
			"DRVRPtr",
			/* [5] */
			defaultFieldFlag,
			0x26,
			0x04,
			typePtr,
			"PortUsePtr",
			/* [6] */
			defaultFieldFlag,
			0x2A,
			0x02,
			typeWord,
			"AddrRefNum"
		},
		/* [57] */
		defaultRecordFlag,
		0x2C,
		typeADelNodeRec,
		"ADelNodeRec",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParamBlockRec,
			"PBRec",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x04,
			typeAddrBlock,
			"NetAddr",
			/* [3] */
			defaultFieldFlag,
			0x2A,
			0x02,
			typeWord,
			"AddrRefNum"
		},
		/* [58] */
		defaultRecordFlag,
		0x2C,
		typeAGetNodeRefRec,
		"AGetNodeRefRec",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParamBlockRec,
			"PBRec",
			/* [2] */
			defaultFieldFlag,
			0x1C,
			0x04,
			typeAddrBlock,
			"NetAddr",
			/* [3] */
			defaultFieldFlag,
			0x2A,
			0x02,
			typeWord,
			"AddrRefNum"
		},
		/* [59] */
		defaultRecordFlag,
		0x34,
		typeAddNodeParm,
		"AddNodeParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParamBlockRec,
			"PBRec",
			/* [2] */
			defaultFieldFlag,
			0x24,
			0x04,
			typeAddrBlock,
			"reqNodeAddr",
			/* [3] */
			defaultFieldFlag,
			0x28,
			0x04,
			typeAddrBlock,
			"actNodeAddr",
			/* [4] */
			defaultFieldFlag,
			0x2C,
			0x04,
			typeCodePtr,
			"recvRoutine",
			/* [5] */
			defaultFieldFlag,
			0x30,
			0x02,
			typeUInteger,
			"reqCableLo",
			/* [6] */
			defaultFieldFlag,
			0x32,
			0x02,
			typeUInteger,
			"reqCableHi"
		},
		/* [60] */
		defaultRecordFlag,
		0x28,
		typeRemoveNodeParm,
		"RemoveNodeParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParamBlockRec,
			"PBRec",
			/* [2] */
			defaultFieldFlag,
			0x24,
			0x04,
			typeAddrBlock,
			"NodeAddr"
		},
		/* [61] */
		defaultRecordFlag,
		0x22,
		typeNetWriteParm,
		"NetWriteParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParamBlockRec,
			"PBRec",
			/* [2] */
			defaultFieldFlag,
			0x1D,
			0x01,
			typeByte,
			"checkSumFlag",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x04,
			(typePtr+typeWDSElement),
			"wdsPointer"
		},
		/* [62] */
		defaultRecordFlag,
		0x22,
		typeNetWriteParm,
		"NetWriteParm",
		{
			/* [1] */
			defaultFieldFlag,
			0x00,
			0x1C,
			typeEParamBlockRec,
			"PBRec",
			/* [2] */
			defaultFieldFlag,
			0x1D,
			0x01,
			typeByte,
			"checkSumFlag",
			/* [3] */
			defaultFieldFlag,
			0x1E,
			0x04,
			(typePtr+typeWDSElement),
			"wdsPointer"
		}		
	}
};

resource 'UsrF' (ATalkTypesRsrcID, purgeable, preload) {
	famStd,
	procAll
};

resource 'RTy#' (ATalkTypesRsrcID, purgeable) {
	{	/* [1] */
		'Typ#',
		procAll,
		fpuAll,
		mmuAll,
		worldAll,
		sysAll,
		qdAll,
		vmAll,
		slotAll,
		relocatable,
		mutable,
		optional,
		{	/* array IDArray: 1 elements */
			/* [1] */
			1024, 32767
		}
	}
};

data 'vers' (1) {
	$"0310 8000 0000 0533 2E30 2E31 2041 5461"            /* ......3.0.1 ATa */
	$"6C6B 2054 7970 6573 2033 2E30 2E31 2062"            /* lk Types 3.0.1 b */
	$"7920 5269 6368 204B 7562 6F74 61"                   /* y Rich Kubota */
};

data 'vers' (2) {
	$"0310 8000 0000 0533 2E30 2E31 0A54 4D4F"            /* ......3.0.1.TMO */
	$"4E20 332E 302E 31"                                  /* N 3.0.1 */
};
